# PSF-LoginServer - master - net.psforever.objects.guid.selector.SpecificSelector
PSF - LoginServer - master - net.psforever.objects.guid.selector.SpecificSelector
Keywords: PSF LoginServer master net.psforever.objects.guid.selector.SpecificSelector

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package selector
  Definition Classes
    guid
- NumberSelector
- OpportunisticSelector
- RandomSelector
- RandomSequenceSelector
- SpecificSelector
- StrictInOrderSelector

c

net.psforever.objects.guid.selector

# SpecificSelector

###

#### class SpecificSelector extends NumberSelector

Get a specific number from a pool of numbers.

Source
  SpecificSelector.scala

Linear Supertypes
NumberSelector, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecificSelector
2. NumberSelector
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SpecificSelector()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Format(ary: Array[Int]): Unit

   Accept the indexing pool from which numbers are selected and returned.

   Accept the indexing pool from which numbers are selected and returned. Correct its format to suit the current `NumberSelector` algorithms.
   All of the numbers are sorted to their proper indexed position in the `Array`. Every other number is an invalid negative-one (-1). The `selectionIndex` is also set to an invalid negative-one, as per the requirements of the selector. The `ret` index is set to index zero.

   ary

     the `Array` of `Int` numbers

   Definition Classes
     SpecificSelector → NumberSelector
5.  def Get(ary: Array[Int]): Int

   Get the specified number and the specified number only.

   Get the specified number and the specified number only.

   ary

     the `Array` of `Int` numbers from which to draw a new number

   returns

     an `Int` number

   Definition Classes
     SpecificSelector → NumberSelector
6.  def Return(number: Int, ary: Array[Int]): Boolean

   Give a number back to a specific collection following the principles of this selector.
   By default, a simple policy for returning numbers has been provided.

   Give a number back to a specific collection following the principles of this selector.
   By default, a simple policy for returning numbers has been provided. This will not be sufficient for all selection actions that can be implemented so `override` where necessary.
   `returnNumber` is under no obligation to leave its parameter `Array` unmodified. In fact, it should modify it by default to provide additional feedback of its process. Pass a copy if data mutation is a concern.

   number

     the number to be returned

   ary

     the `Array` of `Int` numbers to which the number is to be returned

   returns

     `true`, if this return was successful; `false`, otherwise

   Definition Classes
     NumberSelector
7.  def ReturnIndex: Int
   Definition Classes
     NumberSelector
8.  def SelectionIndex: Int
   Definition Classes
     NumberSelector
9.  def SelectionIndex_=(number: Int): Unit

   Change the future selection index to match the number the user wants.

   Change the future selection index to match the number the user wants. Call `Get` to complete process.

   number

     the number

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  var ret: Int

    The index for the selector when performing a number return action, then modified for the "next" index.

    The index for the selector when performing a number return action, then modified for the "next" index.

    Attributes
      protected
    Definition Classes
      NumberSelector
22.  var selectionIndex: Int

    The index for the selector when performing a number selection action, then modified to the "next" index.

    The index for the selector when performing a number selection action, then modified to the "next" index.

    Attributes
      protected
    Definition Classes
      NumberSelector
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NumberSelector

### Inherited from AnyRef

### Inherited from Any

### Ungrouped